#include<stdio.h>
int main()
{
	int Digits[50] = {0};
	int x, y, i, j;
	printf ("adad ra vared konid : ");
	scanf("%d", &x);
	y = x;
	for(i=0; x > 0; i++)
	{
		Digits[i] = x % 10;
		x /= 10;
	}
	i--;
	for(j=0; j < i; j++, i--)
		if(Digits[i] != Digits[j])
			break;
	if(j >= i)
		printf("adad %d motagharen ast", y);
	else
		printf("adad %d motagharen nist", y);
	getch();
}

